/* RESET */
@import url("https://cdnjs.cloudflare.com/ajax/libs/meyer-reset/2.0/reset.min.css");

/* BASE GLOBAL */
*,
*::before,
*::after {
  box-sizing: border-box;
}

html {
  scroll-behavior: smooth;
}

body {
  margin: 0;
  min-height: 100vh;
  -webkit-font-smoothing: antialiased;
}

/* VARIÁVEIS */
:root {
  /* Cores */
  --color-primary: #1D0C03;
  --color-secondary: #FFF1CF;

  /* Transparência */
  --color-primary-72: rgba(29, 12, 3, 0.72);

  /* Texto */
  --color-text: #1D0C03;
  --color-text-light: #FFF1CF;

  /* Fontes */
  --font-title: "Baskervville SC", serif;
  --font-body: "Inter", sans-serif;
  --font-accent: "Manjari", sans-serif;
}

/* TIPOGRAFIA BASE */
body {
  font-family: var(--font-body);
  background-color: var(--color-secondary);
  color: var(--color-text);
}

/* HEADINGS */
h1,
h2,
h3 {
  font-family: var(--font-title);
  font-weight: 400;
}

h2 {
  font-size: 2rem;
  text-align: center;

}

/* LINKS */
a {
  text-decoration: none;
  color: inherit;
}

/* BOTÕES */
button {
  all: unset;
  cursor: pointer;
}

/* ACESSIBILIDADE (FOCUS) */
button:focus-visible,
a:focus-visible {
  outline: 2px solid #4a90e2;
  outline-offset: 2px;
}

/* CONTAINER PADRÃO */
.container {
  width: 100%;
  max-width: 1200px;
  margin: 0 auto;
  padding: 0 1.5rem;
}

/* OVERLAY REUTILIZÁVEL */
.overlay {
  background: var(--color-primary-72);
}

/* IMAGENS */
img {
  max-width: 100%;
  display: block;
}